Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1054934 - Gourmet Recipe Manager Crashes
Summary: Gourmet Recipe Manager Crashes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3d5c5757125d39350e14e2c8f5b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 19:02 UTC by Robert Kief
Modified: 2016-12-01 00:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:32:48 UTC
Type: ---


Attachments (Terms of Use)

Description Robert Kief 2014-01-17 19:02:13 UTC
Description of problem:
This is a new install of Fedora 20.  I have been attempting to add some recipes to Gourmet.

It crashed without warning several times while I was attempting to use the New Recipe function of Gourmet.

I was able to download a second recipe using the website's URL and edit it to completion without problems.

I'm attempting to add a third recipe, again using "New", and Gourmet has crashed once already.  I decided it was time to send this report.

ABRT was installed about an hour ago, but didn't respond to this crash.

Version-Release number of selected component:
gnome-abrt-0.3.5

Additional info:
reporter:       libreport-2.1.11
kernel:         3.12.7-300.fc20.x86_64
type:           libreport

Comment 1 Jakub Filak 2014-01-29 10:51:44 UTC
Thank you for the report. Please check if ABRT Python Exception Handler detected the crash:

$ journalctl | grep "detected unhandled Python exception in"

and if abrtd.service was running at the time of the accident:

$ journalctl | grep "Init complete, entering main loop"

Comment 2 Robert Kief 2014-01-29 21:39:51 UTC
The first command string returned nothing, but the second returned this:

Jan 17 11:29:13 localhost.localdomain abrtd[639]: Init complete, entering main loop
Jan 17 11:46:04 localhost.localdomain abrtd[641]: Init complete, entering main loop
Jan 17 13:44:32 localhost.localdomain abrtd[882]: Init complete, entering main loop
Jan 17 14:00:29 localhost.localdomain abrtd[695]: Init complete, entering main loop
Jan 18 11:30:54 localhost.localdomain abrtd[649]: Init complete, entering main loop
Jan 18 11:44:09 localhost.localdomain abrtd[651]: Init complete, entering main loop
Jan 18 12:34:06 localhost.localdomain abrtd[647]: Init complete, entering main loop
Jan 21 11:37:54 localhost.localdomain abrtd[649]: Init complete, entering main loop
Jan 22 13:04:00 localhost.localdomain abrtd[636]: Init complete, entering main loop
Jan 23 17:54:02 localhost.localdomain abrtd[687]: Init complete, entering main loop

I haven't attempted to add anything to gourmet since I had problems with it.  You should probably know that I have over 2200 recipes in Gourmet.  I have suggested in the past that the database manager portion of the program allow for the exporting of this entire database.  As you probably know, export works fine up to 999 recipes.  With recipe #1000, export no longer functions.  When I install a new version of Fedora, I copy my filled database (recipes.db) onto the empty one.  Unfortunately, I'd really like to copy a sorted recipes.db file.  Just a suggestion.

Thank you,
RLK

Comment 3 Jakub Filak 2014-04-08 12:07:02 UTC
Is this still reproducible? I am unable to reproduce the crash with gourmet-0.16.0-2.fc20

Comment 4 Robert Kief 2014-04-08 17:53:39 UTC
I just added 2 recipes using "New" and had no problems.  I have the same version installed.  As an aside, I have 0.16.1-1ubuntu1 installed in a second computer and wanted to export the two new recipes from 16.0-2.fc20 to 16.1-1ubuntu1.  Export did nothing.  Should I start a new bug report or just forget about it?

Comment 5 Fedora End Of Life 2015-05-29 10:33:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 14:32:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.